public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/libvisio/
Date: Thu, 14 Nov 2024 18:42:09 +0000 (UTC)	[thread overview]
Message-ID: <1731609722.cabe65079704a7c5fc5970dc6d16ef17b8d42d92.asturm@gentoo> (raw)

commit:     cabe65079704a7c5fc5970dc6d16ef17b8d42d92
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 14 05:39:27 2024 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Nov 14 18:42:02 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cabe6507

media-libs/libvisio: add 0.1.8

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-libs/libvisio/Manifest              |  1 +
 media-libs/libvisio/libvisio-0.1.8.ebuild | 62 +++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/media-libs/libvisio/Manifest b/media-libs/libvisio/Manifest
index 2d0862335acd..9b59b3200a77 100644
--- a/media-libs/libvisio/Manifest
+++ b/media-libs/libvisio/Manifest
@@ -1 +1,2 @@
 DIST libvisio-0.1.7.tar.xz 854296 BLAKE2B db5dd96d769c237bc2926d52a43c2496adca50b74133ea3c81df7ba5a61824891623eb33b4801b463b27f5c03946ea7ffcf827b98c95139c9659b0a1b0f7b604 SHA512 c26f67a09fa6a6d0bf6f3fff5590d5cf16983630d4f7cfcf86d9461baec58dbdf7989fd934be6db0639ca043c160aac2d008275afb9e047766bc878ac579a9ea
+DIST libvisio-0.1.8.tar.xz 1686344 BLAKE2B 5e852e96c6484990349e3fb93dafb1bb3a23f9f72fefc13ceaf56677e3e4aaf01384fcae423cf9f022fb9a91800dc967a89b3eced40a96fe17c756241fb88ad8 SHA512 f89e7cd08287f769936cfacdbdd95fe97a535cca63231c14e2637a8ee6a5e86c6de79b3858c08a5ab483e17cf06107af4fac9014f695b25fedad15f841efba53

diff --git a/media-libs/libvisio/libvisio-0.1.8.ebuild b/media-libs/libvisio/libvisio-0.1.8.ebuild
new file mode 100644
index 000000000000..3b50dc5240e3
--- /dev/null
+++ b/media-libs/libvisio/libvisio-0.1.8.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic
+
+if [[ ${PV} == *9999* ]]; then
+	EGIT_REPO_URI="https://anongit.freedesktop.org/git/libreoffice/libvisio.git"
+	inherit autotools git-r3
+else
+	SRC_URI="https://dev-www.libreoffice.org/src/libvisio/${P}.tar.xz"
+	KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+fi
+
+DESCRIPTION="Library parsing the file format of MS Visio documents"
+HOMEPAGE="https://wiki.documentfoundation.org/DLP/Libraries/libvisio"
+
+LICENSE="|| ( GPL-2+ LGPL-2.1 MPL-1.1 )"
+SLOT="0"
+IUSE="doc test tools"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	dev-libs/icu:=
+	dev-libs/librevenge
+	dev-libs/libxml2
+"
+DEPEND="${RDEPEND}
+	dev-libs/boost
+	dev-util/gperf
+	dev-build/libtool
+	test? ( dev-util/cppunit )
+"
+BDEPEND="
+	dev-lang/perl
+	virtual/pkgconfig
+	doc? ( app-text/doxygen )
+"
+
+src_prepare() {
+	default
+	[[ -d m4 ]] || mkdir "m4" || die
+	[[ ${PV} == *9999* ]] && eautoreconf
+}
+
+src_configure() {
+	# bug 619688, 932496
+	append-cxxflags -std=c++17
+
+	local myeconfargs=(
+		$(use_with doc docs)
+		$(use_enable test tests)
+		$(use_enable tools)
+	)
+	econf "${myeconfargs[@]}"
+}
+
+src_install() {
+	default
+	find "${ED}" -name '*.la' -delete || die
+}


             reply	other threads:[~2024-11-14 18:42 UTC|newest]

Thread overview: 41+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-11-14 18:42 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-09 22:05 [gentoo-commits] repo/gentoo:master commit in: media-libs/libvisio/ Andreas Sturmlechner
2025-01-13  0:25 Sam James
2025-01-13  0:25 Sam James
2025-01-13  0:25 Sam James
2025-01-13  0:25 Sam James
2025-01-13  0:25 Sam James
2024-11-14 18:42 Andreas Sturmlechner
2024-05-22 16:46 Andreas Sturmlechner
2022-08-12 12:26 WANG Xuerui
2022-08-12 12:26 WANG Xuerui
2021-08-12  3:10 Yixun Lan
2019-11-12 22:09 Andreas Sturmlechner
2019-11-12 16:02 Agostino Sarubbo
2019-11-12 10:38 Agostino Sarubbo
2019-11-08 20:31 Aaron Bauman
2019-10-28  8:38 Agostino Sarubbo
2019-10-27 23:20 Thomas Deutschmann
2019-09-12 20:27 Andreas Sturmlechner
2019-09-12 20:27 Andreas Sturmlechner
2019-08-01 16:09 Aaron Bauman
2018-08-29  6:15 Sergei Trofimovich
2018-02-19 19:42 David Seifert
2017-12-29 18:03 Mikle Kolyada
2017-12-26  0:59 Thomas Deutschmann
2017-12-24 10:11 Sergei Trofimovich
2017-11-08  8:55 Andreas Sturmlechner
2017-08-27 15:34 Michael Palimaka
2017-08-17 17:06 Michał Górny
2017-08-02 19:35 Andreas Sturmlechner
2017-08-02  6:31 Andreas Sturmlechner
2017-07-31 22:54 Sergei Trofimovich
2017-07-30 20:46 Andreas Sturmlechner
2017-06-28 19:11 Andreas Sturmlechner
2017-06-27 19:59 Andreas Sturmlechner
2016-12-17 15:57 Andreas Hüttel
2016-12-04  0:06 Andreas Hüttel
2016-10-01 12:51 Jeroen Roovers
2016-02-25 23:10 Andreas Hüttel
2016-02-22 17:07 Andreas Hüttel
2016-01-23  8:00 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1731609722.cabe65079704a7c5fc5970dc6d16ef17b8d42d92.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox